@echo off
cd "%~dp0"
set /p NAME=Nombre de Usuario [Steve]: 
set /p IP=IP Del Servidor [127.0.0.1]: 
set /p PORT=Puerto del Servidor [25565]: 

if "%NAME%" == "" set NAME=Steve
if "%IP%" == "" set IP=127.0.0.1
if "%PORT%" == "" set PORT=25565

echo.
echo Conectando como: %NAME%
echo Servidor: %IP%:%PORT%
echo.

start "" "Minecraft.Client.exe" -name %NAME% -ip %IP% -port %PORT%